{% extends 'base.html.twig' %}

{% block title %}Produit{% endblock %}

{% block body %}
    <div class="bgWhite p-4 margin30 mt-5 rounded border border-dark border-2">
        <h1 class="text-center fw-bold">{{ produit.nom }}</h1>
        <div class="text-center">
            <img src='{{ asset('images/' ~ produit.image) }}' class="imgProduit">
        </div>
        <div class="container text-center">
            <div class="row align-items-start">
                <div class="col">
                    <a class="btn btn-secondary d-grid gap-2 col-5 mt-2 mx-auto" href="{{ path('app_controller_produit_edit', {'id': produit.id}) }}">Modifier</a>
                </div>
                <div class="col">
                    <div class="">
                        {{ include('controller_produit/_delete_form.html.twig') }}
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="bg-light margin20 mt-5 rounded border border-dark border-2">
        <h1 class="text-center fw-bold">Tous les sondages du produit</h1>
        <div class="ms-auto p-2">
            <a href="{{ path('app_controleur_sondage_new', {'id': produit.id}) }}"  class="d-inline-flex mt-4 mt-md-0 ms-md-auto">
                <i class="bi bi-plus-square-dotted" style="font-size: 175%;" ></i>
            </a>
        </div>
        <div class="album py-5 bg-light rounded">
            <div class="container">
                <div class="row row-cols-1 row-cols-sm-2 row-cols-md-3 g-3 test">
                    {% for sondage in produit.sondages %}
                        {% if sondage.getProduit.id == produit.id %}
                            <div class="col cadre">
                                <div class="card shadow-sm cadre-image">
                                    <div class="card-body">
                                        <div class="text-center">
                                            <p class="card-text fw-bold">{{ sondage.theme}}</p>
                                            <p>Fin le : {{ sondage.dateFin ? sondage.dateFin|date('Y-m-d') : '' }}</p>
                                            <img class="mb-2" src='{{ asset('/images/' ~ sondage.getProduit.image ) }}' width="50%">
                                        </div>

                                        <div class="d-flex justify-content-between align-items-center">
                                            <div class="btn-group">
                                                <a type="button" href="{{ path('app_controleur_sondage_show', {'id': sondage.id}) }}" class="btn btn-sm borderTurquoise">Details</a>
                                            </div>
                                            {% if sondage.estPublie %}
                                                <a href="{{ path("app_controleur_sondage_changerPublication", {"id": sondage.id}) }}" class="btn btn-danger">Masquer</a>
                                            {% else %}
                                                <a href="{{ path("app_controleur_sondage_changerPublication", {"id": sondage.id}) }}" class="btn turquoise  " >Publier</a>
                                            {% endif %}
                                        </div>
                                    </div>
                                </div>
                            </div>
                        {% endif %}
                    {% endfor %}
                </div>
            </div>
        </div>
    </div>



    <a  class="btn grisVert d-grid gap-2 col-2 mt-2 mx-auto" href="{{ path('app_controller_produit_index') }}">Retour</a>
{% endblock %}


